Creates a v2 run in queued state. Call POST /agent/v2/run/:id/exec to start execution on the Daytona runtime.
curl --request POST \
--url https://api.case.dev/agent/v2/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"prompt": "<string>",
"guidance": "<string>",
"model": "<string>",
"objectIds": [
"<string>"
],
"callbackUrl": "<string>"
}
'{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"objectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}API key starting with sk_case_
Was this page helpful?
curl --request POST \
--url https://api.case.dev/agent/v2/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentId": "<string>",
"prompt": "<string>",
"guidance": "<string>",
"model": "<string>",
"objectIds": [
"<string>"
],
"callbackUrl": "<string>"
}
'{
"id": "<string>",
"agentId": "<string>",
"status": "queued",
"objectIds": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}